"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createCmsProvider = exports.CMS_SERVICE_DI_TOKEN = void 0;
const cms_service_1 = require("./cms.service");
exports.CMS_SERVICE_DI_TOKEN = 'CMS_SERVICE';
const createCmsProvider = (options) => ({
    provide: exports.CMS_SERVICE_DI_TOKEN,
    useFactory: () => {
        const { accessToken, baseUrl } = options;
        return new cms_service_1.CmsService(baseUrl, accessToken);
    },
});
exports.createCmsProvider = createCmsProvider;
//# sourceMappingURL=cms.provider.js.map