"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createS3LabelServiceProvider = exports.S3_LABEL_SERVICE_DI_TOKEN = void 0;
const s3Label_service_1 = require("./s3Label.service");
exports.S3_LABEL_SERVICE_DI_TOKEN = 'S3_LABEL_SERVICE';
const createS3LabelServiceProvider = ({ awsAccessKeyId, awsBucketName, awsRegion, awsSecretAccessKey, }) => ({
    provide: exports.S3_LABEL_SERVICE_DI_TOKEN,
    useFactory: () => new s3Label_service_1.S3LabelService(awsAccessKeyId, awsSecretAccessKey, awsRegion, awsBucketName),
});
exports.createS3LabelServiceProvider = createS3LabelServiceProvider;
//# sourceMappingURL=s3LabelService.provider.js.map