"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createRabbitMQProvider = exports.RABBITMQ_SERVICE_DI_TOKEN = void 0;
const nestjs_rabbitmq_1 = require("@golevelup/nestjs-rabbitmq");
const rabbitmq_service_1 = require("./rabbitmq.service");
exports.RABBITMQ_SERVICE_DI_TOKEN = 'RABBITMQ_SERVICE';
const createRabbitMQProvider = (options) => ({
    provide: exports.RABBITMQ_SERVICE_DI_TOKEN,
    useFactory: (connection) => new rabbitmq_service_1.RabbitMQService(connection, options),
    inject: [nestjs_rabbitmq_1.AmqpConnection],
});
exports.createRabbitMQProvider = createRabbitMQProvider;
//# sourceMappingURL=rabbitmq.provider.js.map