"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createCachedCmsProvider = exports.CMS_CACHED_SERVICE_DI_TOKEN = void 0;
const cmsCached_service_1 = require("./cmsCached.service");
exports.CMS_CACHED_SERVICE_DI_TOKEN = 'CMS_CACHED_SERVICE';
const createCachedCmsProvider = ({ cacheService, cacheTTL, cmsService, }) => ({
    provide: exports.CMS_CACHED_SERVICE_DI_TOKEN,
    useFactory: (cmsService, cacheService) => new cmsCached_service_1.CmsCachedService(cmsService, cacheService, cacheTTL),
    inject: [cmsService, cacheService],
});
exports.createCachedCmsProvider = createCachedCmsProvider;
//# sourceMappingURL=cmsCached.provider.js.map